Bug 140059 - [MAINTAINER] security/gpa: Mark IGNORE if gpgsm is not found
[MAINTAINER] security/gpa: Mark IGNORE if gpgsm is not found
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Dmitry Marakasov
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-28 19:20 UTC by bsdkaffee
Modified: 2009-12-03 16:00 UTC (History)
0 users

See Also:


Attachments
2009-10-14-gpa.diff (455 bytes, patch)
2009-10-28 19:20 UTC, bsdkaffee
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description bsdkaffee 2009-10-28 19:20:01 UTC
- security/gpa requires gpgsm which is only installed if the GPGSM option is
enabled in security/gnupg
- check for gpgsm and mark IGNORE if not found (see Fix for details)

Fix: - Check if ${LOCALBASE}/bin/gpgsm exists.  If it does not, set IGNORE with
instructions to install security/gnupg with the GPGSM option enabled.
- Consequently, security/gpgme will need rebuilt as well.
- If this is a fresh install, the IGNORE message will prevent the port from
being built until security/gnupg is installed with GPGSM support.  This is
just as well since the GPGSM option is non-default.  Unfortunately, this will
prevent default packages from being built.
	
How-To-Repeat: Use attached diff.
Comment 1 Dmitry Marakasov freebsd_committer 2009-12-02 21:32:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 2 dfilter freebsd_committer 2009-12-03 15:55:52 UTC
amdmi3      2009-12-03 15:55:33 UTC

  FreeBSD ports repository

  Modified files:
    security/gpa         Makefile 
  Log:
  - Mark IGNORE if gpgsm is not installed
  
  PR:             140059
  Submitted by:   Jason E. Hale <bsdkaffee@gmail.com>
  
  Revision  Changes    Path
  1.35      +4 -0      ports/security/gpa/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Dmitry Marakasov freebsd_committer 2009-12-03 15:58:36 UTC
State Changed
From-To: open->closed

Committed. Thanks!